/*****************************************************************************
 * $LastChangedDate: 2011-08-26 17:37:22 -0400 (Fri, 26 Aug 2011) $
 * @file
 * @author  Jim E. Brooks  http://www.palomino3d.org
 * @brief   Program-specific definitions.
 *//*
 * LEGAL:   COPYRIGHT (C) 2008 JIM E. BROOKS
 *          THIS SOURCE CODE IS RELEASED UNDER THE TERMS
 *          OF THE GNU GENERAL PUBLIC LICENSE VERSION 2 (GPL 2).
 *****************************************************************************/

#ifndef BASE_DEFS2_HH
#define BASE_DEFS2_HH 1

namespace base {
namespace defs {

// IMPORTANT: Using the same frequency helps to avoid synchronization problems.
// Naming convention for freq values is the suffix "_TICK_FREQ".
const uint DEFAULT_TICK_FREQ = 10;

// Whether to initially enable or disable timer-ticks.
// Some programs could malfunction if ticks are sent while starting up.
const bool DEFAULT_TIMER_ENABLEMENT = false;

} // namespace defs
} // namespace base

//using namespace base::defs;

#endif // BASE_DEFS2_HH
