/*****************************************************************************
 * $LastChangedDate: 2011-04-23 21:07:07 -0400 (Sat, 23 Apr 2011) $
 * @file
 * @author  Jim E. Brooks
 * @brief   C++ streams.
 *//*
 * LEGAL:   COPYRIGHT (C) 2007 JIM E. BROOKS
 *          THIS SOURCE CODE IS RELEASED UNDER THE TERMS
 *          OF THE GNU GENERAL PUBLIC LICENSE VERSION 2 (GPL 2).
 *****************************************************************************/

#ifndef BASE_STREAM_HH
#define BASE_STREAM_HH 1

#include <iostream>
#include <iomanip>

namespace base {

/// Historical: These used to be per-thread streams.
#define COUT   std::cout
#define CERROR std::cerr
#define CLOG   std::clog
#define CDEBUG std::clog
using std::endl;

/*******************************************************************************
 * C++ stream field formatting.
 *******************************************************************************/
#define OMANIP_FIELD(CHARS) std::setw(CHARS) << std::right

} // namespace base

#endif // BASE_STREAM_HH
