/*****************************************************************************
 * $LastChangedDate: 2011-04-22 12:24:45 -0400 (Fri, 22 Apr 2011) $
 * @file
 * @author  Jim E. Brooks  http://www.palomino3d.org
 * @brief   control module configuration.
 *//*
 * LEGAL:   COPYRIGHT (C) 2007 JIM E. BROOKS
 *          THIS SOURCE CODE IS RELEASED UNDER THE TERMS
 *          OF THE GNU GENERAL PUBLIC LICENSE VERSION 2 (GPL 2).
 *****************************************************************************/

#ifndef CONTROL_CONF_HH
#define CONTROL_CONF_HH 1

#define CONTROL_CONF control::GET_CONF()

#include "base/conf_txt.hh"

namespace control {

////////////////////////////////////////////////////////////////////////////////
/// @brief control module configuration.
///
class Conf
{
#include "base/conf_template_txt.hh"
private:
    void    ReadJoystickConfTxt( void );

public:
    // cmd-line:
    bool            mJoystickEnabled;
    bool            mJoystickAxis3;
    bool            mJoystickPrint;
    string          mJoystickConfFilename;
};
#include "base/conf_template_end.hh"

} // namespace control

#endif // CONTROL_CONF_HH
