/*****************************************************************************
 * $LastChangedDate: 2011-04-22 12:24:45 -0400 (Fri, 22 Apr 2011) $
 * @file
 * @author  Jim E. Brooks  http://www.palomino3d.org
 * @brief   Module configuration.
 *//*
 * LEGAL:   COPYRIGHT (C) 2007 JIM E. BROOKS
 *          THIS SOURCE CODE IS RELEASED UNDER THE TERMS
 *          OF THE GNU GENERAL PUBLIC LICENSE VERSION 2 (GPL 2).
 *****************************************************************************/

#ifndef INPUT_CONF_HH
#define INPUT_CONF_HH 1

#define INPUT_CONF input::GET_CONF()

#include "base/conf_txt.hh"

namespace input {

////////////////////////////////////////////////////////////////////////////////
/// @brief Module configuration.
///
class Conf
{
#include "base/conf_template_txt.hh"
public:
    // cmd-line:
    // (none)

    // .conf:
    Milliseconds    mInputQueueTickFreq;
    uint            mKeyboardInputQueueOverflow;
    uint            mJoystickInputQueueOverflow;
    uint            mMouseInputQueueOverflow;
    uint            mJoystickNum;               ///< joystick number (if applicable)
    bool            mEnableLinuxJoystick;       ///< true means user has requested Linux joystick driver
    bool            mEnableWindowsJoystick;     ///< true means user has requested Windows joystick driver
};
#include "base/conf_template_end.hh"

} // namespace input

#endif // INPUT_CONF_HH
