/*****************************************************************************
 * $LastChangedDate: 2011-03-17 19:59:52 -0400 (Thu, 17 Mar 2011) $
 * @file
 * @author  Jim E. Brooks  http://www.palomino3d.org
 * @brief   Interface of C functions for Lua scripts.
 * @remarks @remarks module.txt documents how to export new C++ classes to Lua.
 *
 * ----------------------------
 * -- THIS IS AUTO-GENERATED --
 * ----------------------------
 *
 *//*
 * LEGAL:   COPYRIGHT (C) 2008 JIM E. BROOKS
 *          THIS SOURCE CODE IS RELEASED UNDER THE TERMS
 *          OF THE GNU GENERAL PUBLIC LICENSE VERSION 2 (GPL 2).
 *****************************************************************************/

#include "base/module.hh"
using namespace base;
#include "sound/module.hh"
using namespace sound;
#include "lua_bind/module.hh"
#include "lua_bind/bind.hh"

namespace lua {


namespace bind {

#define BIND_CLASS_NAME      "Sound"
#define BIND_METATABLE_NAME  LUABIND_METATABLE_STRING(BIND_CLASS_NAME)

//==============================================================================
// C functions called by Lua that access C++ objects.
//==============================================================================

/*****************************************************************************
 * bool Sound:Play( filename, loop:bool, volume:fp )
 *****************************************************************************/
INTERN int 
Sound_Play( lua_State* L ) 
{ 
   try { 

        const fp volume                       = POP_FP( L );
        const sound::defs::ePlayLoop playLoop = sound::defs::ePlayLoop( POP_BOOL( L ) );
        const Sample::Name sampleName         = POP_STRING( L );
        lua_pushboolean( L, GET_SOUND().Play( sampleName, playLoop, volume ) );
        return 1;  // stack items to return
    
   } CATCH_LUA_EXCEPTION 
   return 0; 
} 

/*****************************************************************************
 * Sound:Stop( filename )
 *****************************************************************************/
INTERN int 
Sound_Stop( lua_State* L ) 
{ 
   try { 

        const string filename = POP_STRING( L );
        GET_SOUND().Stop( filename );
    
   } CATCH_LUA_EXCEPTION 
   return 0; 
} 

//==============================================================================
// Register binding with Lua. 
//==============================================================================

#if ! DOXYGEN 

INTERN const struct luaL_reg sMethodTable[] =
{
  // New(),__gc() omitted as Lua cannot instantiate this C++ class.
  { "Play", Sound_Play },
  { "Stop", Sound_Stop },
  { NULL, NULL }
};

void
RegisterSound( lua_State* L )
{
    REGISTER_BINDING( L,
                      BIND_METATABLE_NAME,
                      BIND_CLASS_NAME,
                      sMethodTable );
}

#endif // ! DOXYGEN 

} // namespace bind 

} // namespace lua 
