/*****************************************************************************
 * $LastChangedDate: 2011-08-20 12:07:38 -0400 (Sat, 20 Aug 2011) $
 * @file
 * @author  Jim E. Brooks  http://www.palomino3d.org
 * @brief   Definitions, constants.
 *//*
 * LEGAL:   COPYRIGHT (C) 2008 JIM E. BROOKS
 *          THIS SOURCE CODE IS RELEASED UNDER THE TERMS
 *          OF THE GNU GENERAL PUBLIC LICENSE VERSION 2 (GPL 2).
 *****************************************************************************/

// Avoid lua_/LUA_ which is reserved by Lua.

#ifndef LUABIND_DEFS_HH
#define LUABIND_DEFS_HH 1

namespace lua {
namespace defs {

#if VERBOSE
#define LUABIND_VERBOSE 1
#endif

#define LUABIND_MODULE_NAME     "sim"
#define LUABIND_TABLE_NAME      LUABIND_MODULE_NAME   ///< name of emulated module/namespace
#if COMPILE_PALOMINO == 4
#define LUABIND_SCRIPTS_DIR     "bin"
#else
#define LUABIND_SCRIPTS_DIR     "scripts"
#endif
#if DEBUG
const uint MAX_LUA_ARGS = 20;   ///< error-checking
#endif

} // namespace defs
} // namespace lua

#endif // LUABIND_DEFS_HH
