/*****************************************************************************
 * $LastChangedDate: 2010-09-25 18:43:57 -0400 (Sat, 25 Sep 2010) $
 * @file
 * @author  Jim E. Brooks  http://www.palomino3d.org
 * @brief   Interface for Lua scripts.
 * @namespace lua
 * @brief   Lua main namespace.
 * @namespace lua::interpreter
 * @brief   Lua interpreter (include "lua_bind/lua_interpreter.hh")
 * @namespace lua::bind
 * @brief   Interface (bindings) between C++ and Lua scripts (include "lua_bind/bind.hh")
 *//*
 * LEGAL:   COPYRIGHT (C) 2008 JIM E. BROOKS
 *          THIS SOURCE CODE IS RELEASED UNDER THE TERMS
 *          OF THE GNU GENERAL PUBLIC LICENSE VERSION 2 (GPL 2).
 *****************************************************************************/

// Avoid lua_/LUA_ which is reserved by Lua.

//------------------------------------------------------------------------------
// Clients should include:
// #include "lua_bind/interpreter.hh"   // Lua interpreter
// #include "lua_bind/bind.hh"          // C++/Lua bindings
//------------------------------------------------------------------------------

#ifndef LUABIND_MODULE_HH
#define LUABIND_MODULE_HH 1

extern "C" {
#include "lua_lang/luaconf.h"
#include "lua_lang/lua.h"
#include "lua_lang/lauxlib.h"
#include "lua_lang/lualib.h"
} // extern "C"

#include "lua_bind/defs.hh"

#endif // LUABIND_MODULE_HH
