/*****************************************************************************
 * $LastChangedDate: 2010-06-28 19:40:12 -0400 (Mon, 28 Jun 2010) $
 * @file
 * @author  Jim E. Brooks  http://www.palomino3d.org
 * @brief   Math types (trig).
 *//*
 * LEGAL:   COPYRIGHT (C) 2009 JIM E. BROOKS
 *          THIS SOURCE CODE IS RELEASED UNDER THE TERMS
 *          OF THE GNU GENERAL PUBLIC LICENSE VERSION 2 (GPL 2).
 *****************************************************************************/

#ifndef MATH_TYPES_TRIG_HH
#define MATH_TYPES_TRIG_HH 1

#include "base/types.hh"

namespace math {

////////////////////////////////////////////////////////////////////////////////
///////////////////////////////  T R I G   /////////////////////////////////////
////////////////////////////////////////////////////////////////////////////////

// Distinct type to ensure a degree/radian aren't confused.
/// @class math::Radian
/// @brief Distinct float type.
/// @class math::Degree
/// @brief Distinct float type.
#if SPEED
DECLARE_DISTINCT_TYPE( Radian, fp, FP )
DECLARE_DISTINCT_TYPE( Degree, fp, FP )
#else
DECLARE_DISTINCT_TYPE( Radian, fpx, FP )  // same name for conversion function FP()
DECLARE_DISTINCT_TYPE( Degree, fpx, FP )
#endif

} // namespace math

#endif // MATH_TYPES_TRIG_HH
