/*****************************************************************************
 * $LastChangedDate: 2010-06-28 22:01:32 -0400 (Mon, 28 Jun 2010) $
 * @file
 * @author  Jim E. Brooks  http://www.palomino3d.org
 * @brief   Definitions.
 *          THESE ARE GLOBALS!  TRY TO USE ONLY BASIC COMPILE-TIME CONSTANTS.
 *//*
 * LEGAL:   COPYRIGHT (C) 2008 JIM E. BROOKS
 *          THIS SOURCE CODE IS RELEASED UNDER THE TERMS
 *          OF THE GNU GENERAL PUBLIC LICENSE VERSION 2 (GPL 2).
 *****************************************************************************/

#ifndef PHYSICS_DEFS_HH
#define PHYSICS_DEFS_HH 1

namespace physics {
namespace defs {

// General physical definitions:
const fp MACH1_KPH                      = 1225.0f;      ///< kilometer/hour
const fp MACH1_MPH                      = 761.2f;       ///< miles/hour
const fp KILOMETER_MILE_RATIO           = 0.621f;       ///< km = 0.621 mile
const fp ACCELERATION_GRAVITY_SCALAR    = 9.81f;        ///< meter/sec/sec

} // namespace defs
} // namespace physics

#endif // PHYSICS_DEFS_HH
