/*****************************************************************************
 * $LastChangedDate: 2011-04-22 12:24:45 -0400 (Fri, 22 Apr 2011) $
 * @file
 * @author  Jim E. Brooks  http://www.palomino3d.org
 * @brief   Module configuration.
 *//*
 * LEGAL:   COPYRIGHT (C) 2009 JIM E. BROOKS
 *          THIS SOURCE CODE IS RELEASED UNDER THE TERMS
 *          OF THE GNU GENERAL PUBLIC LICENSE VERSION 2 (GPL 2).
 *****************************************************************************/

#ifndef SHADER_CONF_HH
#define SHADER_CONF_HH 1

#define SHADER_CONF shader::GET_CONF()

#include <osg/Fog>
#include "base/conf_txt.hh"
#include "gfx/module.hh"
#include "gfx/rgba.hh"
using namespace gfx;

namespace shader {

////////////////////////////////////////////////////////////////////////////////
/// @brief Module configuration.
///
class Conf
{
#include "base/conf_template_txt.hh"
public:
    bool            mEnableShaders;         ///< enable shaders
    bool            mEnableLighting;        ///< enable lighting
    osg::Vec3       mLight0Position;
    bool            mEnableFog;
    RGBA            mFogColor;
    fpx             mFogDensity;
    osg::Fog::Mode  mFogMode;
    fp              mFogMin;                ///< unit range (isn't a density)
    fp              mBrightness;
};
#include "base/conf_template_end.hh"

} // namespace shader

#endif // SHADER_CONF_HH
